# ``twisted`.`protocols`.`sip`.`IAuthorizer``

interface documentation

`class IAuthorizer(Interface): (source)`

View In Hierarchy

Undocumented

Method | `decode` | Create a credentials object from the given response.
Method | `getChallenge` | Generate a challenge the client may respond to.

def decode(response): (source)
Create a credentials object from the given response.

Parameters
response:`str` | Undocumented

def getChallenge(peer): (source)
Generate a challenge the client may respond to.

Parameters
peer:`tuple` | The client's address
Returns
`str` | The challenge string